> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put funnelslookup



## OpenAPI

````yaml /api-reference/funnels/openapi.json put /funnels/lookup/{id}
openapi: 3.0.0
info:
  title: Funnels API
  description: Documentation for funnels API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Funnels
    description: Documentation for funnels API
  - name: Builder
    description: Documentation for funnels API
  - name: Products
    description: Documentation for funnels API
  - name: Prices
    description: Documentation for funnels API
  - name: Integrations
    description: Documentation for funnels API
paths:
  /funnels/lookup/{id}:
    put:
      operationId: updateFunnelLookup
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateLookupParams'
      responses:
        '200':
          description: ''
components:
  schemas:
    UpdateLookupParams:
      type: object
      properties:
        domain:
          type: string
        path:
          type: string
        locationId:
          type: string
        funnelId:
          type: string
        type:
          type: string
        typeId:
          type: string
        pathLowercase:
          type: string
      required:
        - domain
        - path
        - locationId
        - funnelId
        - type
        - typeId
        - pathLowercase

````